:root {
  --marea-red: hsl(7, 57%, 46%);
  --marea-dark: hsl(197, 100%, 24%);
  --marea-light: hsl(207, 32%, 62%);
}

html, body {
  margin: 0;
  height: 100vh;
  width: 100vw;
}

main {
  min-height: 100vh;
  display: flex;
  flex-flow: column wrap;
  align-items: center;
  justify-content: center;
  background-color: var(--marea-red);
  background-image: linear-gradient(aliceblue, floralwhite, transparent);
  --easing: linear;
  animation: 7s var(--easing) 0s infinite alternate running bg;
}

@keyframes bg {
  0% { background-color: var(--marea-red); }
  50% { background-color: var(--marea-light); }
  100% { background-color: var(--marea-dark); }
}

figure {
  max-width: 80vw;
}

figure > * {
  margin-left: auto;
  margin-right: auto;
}

figure img {
  display: block;
  max-width: min(50em, 100%);
}

figure p {
  font-family: monospace;
  font-weight: bold;
  font-size: 1.05em;
  background-color: black;
  --color: azure;
  color: var(--color);
  padding: .8em 1.2em;
  border-radius: .2em;
  max-width: 30em;
}

figure p::before {
  content: '$ ';
}

figure p::after {
  content: '_';
  animation: 1s linear 1s infinite none running cursor;
}

@keyframes cursor {
  0% { color: var(--color); }
  100% { color: transparent; }
}

/* vim: set expandtab: */
/* vim: set ts=2 sw=2: */
